FvwmGtkDebug(1)

NAME
FvwmGtkDebug - graphical interactive fvwm module debugger

SYNOPSIS
FvwmGtkDebug should be spawned by fvwm(1).

To run this module, place this command somewhere in the configuration:

    Module FvwmGtkDebug

To stop this module, just close the GUI window, the usual KillModule works too.

You may also run this application as a regular program from the command line shell. But the communication with fvwm is not established in this dummy mode, so commands are not really sent and there are no real events received. However certain activity is emulated using dummy events.

DESCRIPTION
This module monitors all fvwm event information and shows it nicely in the interactive gtk+ application. Good for debugging and educational purposes.

Among the features: command console with history and auto command help, requesting to send back ConfigInfo (configuration of fvwm and all modules), WindowList (information about all windows) or custom Reply.

The fvwm commands may be executed within the context of some window. The context window may be optionally set on invocation, like: "Next (Navigator) FvwmGtkDebug", and be set/unset interactively at any time.

INVOCATION
There are several command line switches:

FvwmGtkDebug [ --mask mask ] [ --xmask mask ] [ --debug level ]

Long switches may be abbreviated to shorter switches.

-m|--mask mask - set the initial module mask, 31 bit integer. This mask may be changed interactively at any time. By default almost all events are monitored (except for some flood events like CONFIGURE_WINDOW or FOCUS_WINDOW. The special value of -1 sets the maximal mask.

-x|--xmask mask - set the initial module extended mask, 31 bit integer. This mask may be changed interactively at any time. By default almost all events are monitored (except for some flood events like ENTER_WINDOW or LEAVE_WINDOW. The special value of -1 sets the maximal extended mask.

-d|--debug level - use the Perl library debugging mechanism. The useful levels are 2 to 4.

SEE ALSO
See also FvwmDebug, "fvwm-perllib man events".

AUTHOR
Mikhael Goikhman <migo@homemail.com>.